Subject: HTML slides multicasting

From: Jean-Christophe Touvet <[email-masked]>
Date: Tue, 30 Apr 1996 18:18:23 +0200

Folks,

 incidentally, I've hacked MCM (MultiCast Mosaic) package, developed in '94
when I was working at INRIA, in order to receive multicasted HTML slides from
a Java-compatible Web Browser.

 The 5th International WWW Conference MBone team ([email-masked])
will try to send some slides from Paris next week using this tool.

 To retrieve the new client stuff: <ftp://ftp.edelweb.fr/pub/MCM/Reflector>.

 MCM server package and former Mosaic 2.x clients (with minor updates) can be
found in parent directory.

 README files should explain everything, but I couldn't resist to draw some
ASCII-art to try to describe better the mechanism:

+-----------------------+	+-------------------------------+
|	Speaker		| HTTP	|	MCM server		|
| OS: any		|------>| OS: Unix with multicast	|
| Software: any browser	|	| Software: Web server & Perl	|
+-----------------------+	+-------------------------------+
						^
						|
						|
						v

					+---->  MBone (UDP)
					|
					|		^
					|		|
+-------------------------------+	|		|
|	MCM Java Reflector	|	|		|
| OS: Unix with multicast	|<------+		|
| Software: Perl		|			|
+-------------------------------+			v
	^				+-------------------------------+
	| TCP				|	MCM former client	|
	v				| OS: Unix with multicast	|
+-----------------------+		| Software: Mosaic & C or Perl	|
|    MCM new client	|		+-------------------------------+
| OS: any		|
| Software: Java browser|
+-----------------------+

 Voila,

    -JCT-

Jean-Christophe Touvet / EdelWeb                        +33 1 44 37 27 37
[email-masked]                                          http://www.edelweb.fr/